SupaPayDevelopers

API Reference

SupaPay API v1

Base URL (sandbox): https://sandboxgateway.supapay.co.za/v1

Creates a customer you can attach payment methods and deposits to.

Parameters

  • emailstringbodyrequired

    Customer email address.

  • namestringbody

    Full name.

  • phonestringbody

    E.164 phone number.

  • metadataobjectbody

    Up to 20 key/value pairs.

Try it in the playground
curl -X POST https://sandboxgateway.supapay.co.za/v1/customers \
  -H "Authorization: Bearer sp_test_4eC39HqLyjWDarjtT1" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: 7f9c2b1e-order-1001" \
  -d '{
  "email": "thandi@example.co.za",
  "name": "Thandi Nkosi",
  "phone": "+27821234567",
  "metadata": {
    "order_ref": "A1001"
  }
}'
Response · 200
{
  "id": "cust_8fK2pQ1mZx",
  "object": "customer",
  "email": "thandi@example.co.za",
  "name": "Thandi Nkosi",
  "phone": "+27821234567",
  "metadata": {
    "order_ref": "A1001"
  },
  "created_at": "2026-10-30T09:15:00Z"
}

Retrieves a customer by ID.

Parameters

  • customer_idstringpathrequired

    ID starting with cust_.

Try it in the playground
curl -X GET https://sandboxgateway.supapay.co.za/v1/customers/{customer_id} \
  -H "Authorization: Bearer sp_test_4eC39HqLyjWDarjtT1"
Response · 200
{
  "id": "cust_8fK2pQ1mZx",
  "object": "customer",
  "email": "thandi@example.co.za",
  "name": "Thandi Nkosi",
  "created_at": "2026-10-30T09:15:00Z"
}